## ccstools 1.7.2-20100401

=== debian/changelog ===
ccstools (1.7.2-20100401-3) unstable; urgency=low

  * debian/postrm
    - remove ccs-load-module as well
  * debian/control
    - remove "DM-Upload-Allowed: yes" and update my address
    - set "Build-Depends: debhelper (>= 7.0.50~)"

 -- Hideki Yamane <henrich@debian.org>  Sat, 22 May 2010 01:05:22 +0900

ccstools (1.7.2-20100401-2) unstable; urgency=medium

  * debian/init.d
    - properly call /usr/sbin/ccs-auditd
    - add empty line by echo with starting
  * debian/control
    - drop "Build-Depends: quilt" 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 07 Apr 2010 20:30:54 +0900

ccstools (1.7.2-20100401-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - don't call quilt

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 02 Apr 2010 00:06:14 +0900

ccstools (1.7.1-20100110-3) unstable; urgency=low

  * debian/NEWS
    - improve "debian-news-entry-uses-asterisk" and 
      "debian-news-entry-without-blank-line"
  * debian/patches
    - improve "quilt-patch-missing-description" for ccs-pathmatch.8 and man
  * debian/rules
    - add override_dh_clean target

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 03 Mar 2010 00:02:54 +0900

ccstools (1.7.1-20100110-2) unstable; urgency=low

  * upload to unstable.
  * add debian/NEWS 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 15 Feb 2010 16:36:40 +0900

ccstools (1.7.1-20100110-1) experimental; urgency=low

  * upload to experimental
  * New upstream release
    - not upload ccstools1.7 but update this source package (Closes: #546692)
      ccstools and ccspatch 1.6.x series doesn't support upper to 2.6.32 which 
      would be defalut in Squeeze release, so I should replace this package.
  * Switch to source format 3.0 (quilt) 
  * debian/rules:
    - use debhelper7 
  * debian/control:
    - "Build-Depends: debhelper (>= 7.0.50), help2man" 
    - set "Standards-Version: 3.8.4" with no change
    - loosen its depencency, "Recommends: linux-patch-tomoyo1.7"
  * debian/compat:
    - up to 7
  * debian/patches/ccs-pathmatch.8,man:
    - eliminate "manpage-has-errors-from-man usr/share/man/man8/
      ccs-pathmatch.8.gz 19: `\}' is not allowed in an escape name"

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 08 Feb 2010 15:34:21 +0900

ccstools (1.6.8-20100115-3) unstable; urgency=low

  * debian/watch:
    - enable to scan 1.7.x releases. 
  * debian/control:
    - set "Standards-Version: 3.8.4" with no change

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 30 Jan 2010 22:05:27 +0900

ccstools (1.6.8-20100115-2) unstable; urgency=low

  * debian/init.d
    - modity it as "# Required-Start:    $local_fs  $remote_fs", 
      Required-Stop as well.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 26 Jan 2010 13:04:35 +0900

ccstools (1.6.8-20100115-1) unstable; urgency=low

  * New upstream release
   - Fix "doesn't work with separate /usr" (Closes: #564143)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 16 Jan 2010 01:45:53 +0900

ccstools (1.6.8-20091111-2) unstable; urgency=low

  * debian/control:
    - add "Depends: ${misc:Depends}" to eliminate lintian warning.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 31 Dec 2009 18:18:45 +0900

ccstools (1.6.8-20091111-1) unstable; urgency=low

  * New upstream release

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 13 Nov 2009 21:02:04 +0900

ccstools (1.6.8-20090623-8) unstable; urgency=low

  * debian/postinst:
    - simplify it, remove a check if there is $POLICYDIR or not. 
      Because its directory should be created by debhelper script.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 23 Sep 2009 21:29:56 +0900

ccstools (1.6.8-20090623-7) unstable; urgency=low

  * debian/watch:
    - fix bug introduced with privious change.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 19 Sep 2009 21:38:28 +0900

ccstools (1.6.8-20090623-6) unstable; urgency=low

  * debian/watch:
    - really apply the fix to watch file. 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 18 Sep 2009 08:10:51 +0900

ccstools (1.6.8-20090623-5) unstable; urgency=low

  * debian/watch:
    - fix to watch the download page correctly.  

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 15 Sep 2009 13:20:09 +0900

ccstools (1.6.8-20090623-4) unstable; urgency=low

  * debian/control:
    - Build-Depends: libreadline-dev, changed from libreadline5-dev
    - Standards-Version: 3.8.3 with no change 
  * debian/watch:
    - ccstools 1.7 does not compatible with 1.6 series, so watching upstream
     version is limited with 1.6.x.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 14 Sep 2009 23:13:14 +0900

ccstools (1.6.8-20090623-3) unstable; urgency=low

  * debian/postrm:
    - remove /etc/ccs/*.conf files

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 01 Aug 2009 01:27:06 +0900

ccstools (1.6.8-20090623-2) unstable; urgency=low

  * debian/watch: update it 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 08 Jul 2009 22:25:52 +0900

ccstools (1.6.8-20090623-1) unstable; urgency=low

  * New upstream release
    - Fix "doesn't work with 2.6.30 stock kernel", ccs-auditd won't run
     when grant_log or reject_log does not exist (Closes: #532920)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 23 Jun 2009 22:34:37 +0900

ccstools (1.6.8-20090528-1) unstable; urgency=low

  * New upstream release
  * debian/patches: merged by upstream, removed. 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 29 May 2009 20:42:22 +0900

ccstools (1.6.7-20090401-5) unstable; urgency=low

  * debian/patches/fix-bashism: add it to fix "bashism in /bin/sh script".
    (Closes: #530212)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 24 May 2009 00:33:18 +0900

ccstools (1.6.7-20090401-4) unstable; urgency=low

  * debian/rules: really apply dpatch. 


