=== debian/control ===
Source: ccstools
Section: admin
Priority: extra
Maintainer: Hideki Yamane <henrich@debian.org>
Homepage: http://tomoyo.sourceforge.jp/
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, help2man
Standards-Version: 3.8.4

Package: tomoyo-ccstools1.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: linux-patch-tomoyo1.7
Conflicts: tomoyo-ccstools
Replaces: ccs-tools, tomoyo-ccstools
Description: Lightweight and easy-use Mandatory Access Control for Linux
 TOMOYO Linux is Lightweight and Usable Mandatory Access Control with
  - "automatic policy configuring" feature by "LEARNING mode"
  - administrators friendly policy language
  - no need libselinux nor userland program modifications
 .
 TOMOYO Linux consists of patches to Linux kernel and administrative 
 utilities, and this package contains its audit daemon and tools.
 .
 And this 1.7.x releases are not compatible with previous 1.6.x. So, if you 
 want to use this version, you MUST discard previous version's settings.
