## ccstools 1.7.3-20110401

=== debian/changelog ===
ccstools (1.7.3-20110401-1) unstable; urgency=low

  * New upstream release
  * debina/patches
    - drop ccs-pathmatch.8 since merged by upstream
  * debian/control
    - update to "Standards-Version: 3.9.2" with no change

 -- Hideki Yamane <henrich@debian.org>  Wed, 05 Oct 2011 06:53:42 +0900
