=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Hideki Yamane <henrich@debian.org>
 Homepage: http://tomoyo.sourceforge.jp/
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, help2man
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: tomoyo-ccstools1.7
 Architecture: any
