=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

package = tomoyo-ccstools1.7

%:
	dh $@

override_dh_auto_install:
	# Add here commands to install the package into debian/tomoyo-ccstools1.7.
	$(MAKE) INSTALLDIR=$(CURDIR)/debian/$(package) install
	cd $(CURDIR)/debian/$(package)/usr/share/man/man8 && \
	  ln -s ./ccs-editpolicy.8.gz ccs-editpolicy_offline.8.gz
	# workaround
	rm $(CURDIR)/debian/$(package)/usr/lib/ccs/README.ccs
	rm $(CURDIR)/debian/$(package)/usr/lib/ccs/COPYING.ccs

override_dh_installinit:	
	dh_installinit --init-script=ccs-auditd --no-start

override_dh_clean:
	-rm -rf $(CURDIR)/man/man8
	dh_clean
